Bug 1981 - Login with my SSH key is not working
: Login with my SSH key is not working
Status: CLOSED FIXED
Product: maemo.org Website
Repositories
: unspecified
: All Linux
: Medium normal (vote)
: ---
Assigned To: Marcell Lengyel
: repositories@maemo.bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-06 09:38 UTC by Michael
Modified: 2007-12-04 12:59 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Michael (reporter) 2007-09-06 09:38:36 UTC
EXPECTED OUTCOME: Login to the Maemo repository to upload new packages with SSH
key

ACTUAL OUTCOME: Permission denied (publickey,keyboard-interactive).

STEPS TO REPRODUCE THE PROBLEM: login via ssh using public key

OTHER COMMENTS: I suspect that maybe my public key was stored incorrectly. So,
maybe there is a way to modify it
Comment 1 Michael (reporter) 2007-09-06 09:41:12 UTC
My garage name is nite_man and User Id 1118.
Comment 2 Marcell Lengyel maemo.org 2007-09-07 09:24:14 UTC
I am looking into this.
Comment 3 Marcell Lengyel maemo.org 2007-09-07 21:40:57 UTC
I checked the ssh key on garage server and there seemd to be some extra
line-breaks in the key file. I suppose that copy-pasting the key to the web
form caused it. The extra line-breaks are removed, it should work now. Please
reopen if there are still problems. Otherwise change the state to Verified.
Thanks.
Comment 4 Jake Kunnari 2007-12-04 12:59:23 UTC
Closing FIXED bugs. if error/problem still occurs, please reopen bug with
comments.